Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class Identifier

    java.lang.Object
      org.apache.sandesha2.wsrm.Identifier

    public class Identifier

extends java.lang.Object

Constructor Summary
`Identifier(java.lang.String namespaceValue)`

Method Summary
`java.lang.Object` | `fromOMElement(org.apache.axiom.om.OMElement identifierPart)`
`java.lang.String` | `getIdentifier()`
`int` | `hashCode()`
`boolean` | `isNamespaceSupported(java.lang.String namespaceName)`
`void` | `setIndentifer(java.lang.String identifier)`
`org.apache.axiom.om.OMElement` | `toOMElement(org.apache.axiom.om.OMElement element, org.apache.axiom.om.OMNamespace wsrmNamespace)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Identifier

    public Identifier(java.lang.String namespaceValue)
               throws SandeshaException

Throws:
  `SandeshaException`

Method Detail

### setIndentifer

    public void setIndentifer(java.lang.String identifier)

### getIdentifier

    public java.lang.String getIdentifier()

### fromOMElement

    public java.lang.Object fromOMElement(org.apache.axiom.om.OMElement identifierPart)
                                   throws org.apache.axiom.om.OMException

  Throws:
    `org.apache.axiom.om.OMException`

### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(org.apache.axiom.om.OMElement element,
                                                     org.apache.axiom.om.OMNamespace wsrmNamespace)
                                              throws org.apache.axiom.om.OMException

  Throws:
    `org.apache.axiom.om.OMException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isNamespaceSupported

    public boolean isNamespaceSupported(java.lang.String namespaceName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.